### Hierarchy

- unknown
  - MockMailboxPayload

## Index

### Constructors

- constructor

### Methods

- clearSenderNodeAddress
- getMessage
- getSenderNodeAddress
- getUid
- hasSenderNodeAddress
- serializeBinary
- setMessage
- setSenderNodeAddress
- setUid
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new MockMailboxPayload(): MockMailboxPayload

- Inherited from jspb.Message.constructor

  #### Returns MockMailboxPayload

## Methods

### clearSenderNodeAddress

- clearSenderNodeAddress(): MockMailboxPayload

- - Defined in src/protobuf/pb_pb.d.ts:8186

  #### Returns MockMailboxPayload

### getMessage

- getMessage(): string

- - Defined in src/protobuf/pb_pb.d.ts:8180

  #### Returns string

### getSenderNodeAddress

- getSenderNodeAddress(): undefined | NodeAddress

- - Defined in src/protobuf/pb_pb.d.ts:8183

  #### Returns undefined | NodeAddress

### getUid

- getUid(): string

- - Defined in src/protobuf/pb_pb.d.ts:8188

  #### Returns string

### hasSenderNodeAddress

- hasSenderNodeAddress(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:8185

  #### Returns boolean

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:8191

  #### Returns Uint8Array

### setMessage

- setMessage(value: string): MockMailboxPayload

- - Defined in src/protobuf/pb_pb.d.ts:8181

  #### Parameters

  - ##### value: string

  #### Returns MockMailboxPayload

### setSenderNodeAddress

- setSenderNodeAddress(value?: NodeAddress ): MockMailboxPayload

- - Defined in src/protobuf/pb_pb.d.ts:8184

  #### Parameters

  - ##### Optional value: NodeAddress

  #### Returns MockMailboxPayload

### setUid

- setUid(value: string): MockMailboxPayload

- - Defined in src/protobuf/pb_pb.d.ts:8189

  #### Parameters

  - ##### value: string

  #### Returns MockMailboxPayload

### toObject

- toObject(includeInstance?: boolean): MockMailboxPayload . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:8192

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns MockMailboxPayload . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): MockMailboxPayload

- - Defined in src/protobuf/pb_pb.d.ts:8195

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns MockMailboxPayload

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: MockMailboxPayload, reader: BinaryReader): MockMailboxPayload

- - Defined in src/protobuf/pb_pb.d.ts:8196

  #### Parameters

  - ##### message: MockMailboxPayload

  - ##### reader: BinaryReader

  #### Returns MockMailboxPayload

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: MockMailboxPayload, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:8194

  #### Parameters

  - ##### message: MockMailboxPayload

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: MockMailboxPayload ): MockMailboxPayload . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:8193

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: MockMailboxPayload

  #### Returns MockMailboxPayload . AsObject

Generated using TypeDoc